## sphinx-argparse 0.1.15

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pywizard.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pywizard.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pywizard"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pywizard"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
sphinx-argparse (0.1.15-1) unstable; urgency=medium

  * Initial release (Closes: #794776).

 -- Daniel Stender <debian@danielstender.com>  Wed, 20 Jan 2016 21:46:46 +0100

=== debian/control ===
Source: sphinx-argparse
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniel Stender <debian@danielstender.com>
Build-Depends: debhelper (>= 9),
               dh-python,
	       python-all (>= 2.7.3-5~),
	       python-setuptools,
	       python-sphinx,
	       python-pytest,
	       python3-all,
	       python3-setuptools,
	       python3-sphinx,
	       python3-pytest
Standards-Version: 3.9.6
Homepage: https://github.com/ribozz/sphinx-argparse
Vcs-Git: git://anonscm.debian.org/python-modules/packages/sphinx-argparse.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx-argparse.git

Package: python-sphinx-argparse
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
Enhances: python-sphinx
Description: Sphinx extension for argparse commands and options (Python 2)
 sphinx-argparse is an extension for Sphinx (Python documentation generator)
 that allows one to generate documentation for command line tools using argparse
 (command-line parsing library) automatically.
 .
 This package contains the extension for Sphinx running on Python 2.

Package: python3-sphinx-argparse
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Enhances: python3-sphinx
Description: Sphinx extension for argparse commands and options (Python 3)
 sphinx-argparse is an extension for Sphinx (Python documentation generator)
 that allows one to generate documentation for command line tools using argparse
 (command-line parsing library) automatically.
 .
 This package contains the extension for Sphinx running on Python 3.

=== debian/rules ===
#! /usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=sphinx-argparse

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test

override_dh_installdocs:
	PYTHONPATH=. sphinx-build -N -bhtml docs/ ./debian/python-sphinx-argparse/usr/share/doc/python-sphinx-argparse/html/
	PYTHONPATH=. sphinx-build -N -bhtml docs/ ./debian/python3-sphinx-argparse/usr/share/doc/python3-sphinx-argparse/html/
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs README.md

=== debian/tests/control ===
Tests: python-sphinx-argparse
Depends: python-all, python-pytest, python-sphinx

Tests: python3-sphinx-argparse
Depends: python3-all, python3-pytest, python3-sphinx

## sphinx-argparse 0.2.2

=== debian/changelog ===
sphinx-argparse (0.2.2-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Hanno Stock ]
  * Fix aliased subcommands (patch, closes: #922880)

 -- Hanno Stock <opensource@hanno-stock.de>  Tue, 26 Feb 2019 14:44:40 +0100

sphinx-argparse (0.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - No longer uses sphinx.util.compat (Closes: #896636).

  [ ChangZhuo Chen (陳昌倬) ]
  * Add ChangZhuo Chen as Uploaders (Closes: #840038).
  * Bump compat to 10.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dmitry Shachnev ]
  * Remove usage of Markdown options in docs/markdown.rst. Upstream code for
    Markdown requires CommonMark 0.5.6, which is not yet in Debian.
  * Fix sphinx-build invocation in debian/rules.
  * Prevent dh_compress from compressing changelog.html.
  * Drop unneeded dh_auto_test override, rely on pybuild magic.
  * Make autopkgtests test the installed version of the package.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Jun 2018 10:30:18 +0300

sphinx-argparse (0.1.15-3) unstable; urgency=medium

  * Orphan package:
    + deb/control: put Debian QA into Maintainer field, drop Uploaders.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Jun 2017 22:26:51 +0200

sphinx-argparse (0.1.15-2) unstable; urgency=medium

  * deb/control:
    + updated uploader email address.
    + add python{,3}-sphinx-rtd-theme to b-deps (Closes: #827813).
    + removed tabs from indentations.
    + bumped standards to 3.9.8 (no changes needed).

    [ Ondřej Nový ]
  * Fixed VCS URL (https).

 -- Daniel Stender <stender@debian.org>  Sat, 25 Jun 2016 16:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniel Stender <debian@danielstender.com>
-Build-Depends: debhelper (>= 9),
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Build-Depends: debhelper (>= 10),
                dh-python,
-	       python-all (>= 2.7.3-5~),
-	       python-setuptools,
-	       python-sphinx,
-	       python-pytest,
-	       python3-all,
-	       python3-setuptools,
-	       python3-sphinx,
-	       python3-pytest
-Standards-Version: 3.9.6
+               python-all (>= 2.7.3-5~),
+               python-pytest,
+               python-setuptools,
+               python-sphinx,
+               python-sphinx-rtd-theme,
+               python3-all,
+               python3-pytest,
+               python3-setuptools,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+Standards-Version: 4.1.4
 Homepage: https://github.com/ribozz/sphinx-argparse
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/sphinx-argparse.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx-argparse.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-argparse.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-argparse
 
 Package: python-sphinx-argparse
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=sphinx-argparse
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	cd docs && PYTHONPATH=$(CURDIR) python3 -m sphinx -N -bhtml . html
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs README.md

override_dh_compress:
	dh_compress -Xchangelog.html

=== debian/tests/control ===
Tests: python-sphinx-argparse
Depends: python-all, python-pytest, python-sphinx, python-sphinx-argparse

Tests: python3-sphinx-argparse
Depends: python3-all, python3-pytest, python3-sphinx, python3-sphinx-argparse

## sphinx-argparse 0.2.5

=== debian/changelog ===
sphinx-argparse (0.2.5-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Bastian Germann ]
  * New upstream version 0.2.5
  * lintian: runtime-test-file-uses-installed-python-versions

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael R. Crusoe ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Incorporate patch submitted to upstream to fix failing tests.
    Closes: #977097
  * debian/control: Document which version of sphinx was used to build
    the binary package.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Jan 2021 15:00:56 +0100

sphinx-argparse (0.2.2-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Aug 2019 12:21:06 +0200

=== debian/control ===
Source: sphinx-argparse
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.5.1
Homepage: https://github.com/ribozz/sphinx-argparse
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-argparse.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-argparse

Package: python3-sphinx-argparse
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Enhances: python3-sphinx
Built-Using: ${sphinxdoc:Built-Using}
Description: Sphinx extension for argparse commands and options (Python 3)
 sphinx-argparse is an extension for Sphinx (Python documentation generator)
 that allows one to generate documentation for command line tools using argparse
 (command-line parsing library) automatically.
 .
 This package contains the extension for Sphinx running on Python 3.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_TEST_ARGS=-v
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_installdocs:
 	cd docs && PYTHONPATH=$(CURDIR) python3 -m sphinx -N -bhtml . html

## sphinx-argparse 0.3.1

=== Makefile ===
.PHONY: help init build test lint pretty precommit_install bump_major bump_minor bump_patch

BIN = .venv/bin/
CODE = sphinxarg

help: # Make help to show possible targets
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

init:  ## Create a virtualenv for dev
	python3 -m venv .venv
	.venv/bin/pip install -U pip setuptools
	poetry install

build:  ## Build the sdist/wheel packages
	poetry build

test:  ## Test the project
	poetry run pytest --verbosity=2 --strict --log-level=DEBUG $(args)

lint:  ## Check code for style
	poetry run flake8 --statistics --show-source $(CODE) test/
	poetry run black --diff --check $(CODE) test/
	poetry run pytest --dead-fixtures --dup-fixtures

pretty: ## Prettify the code
	poetry run isort $(CODE) test/
	poetry run black $(CODE) test/

precommit_install: ## Install simple pre-commit checks
	echo -e '#!/bin/sh\nmake lint test\n' > .git/hooks/pre-commit
	chmod +x .git/hooks/pre-commit

bump_major: ## Release a new major version
	poetry version major

bump_minor: ## Release a new minor version
	poetry version minor

bump_patch: ## Release a new patch version
	poetry version patch

=== debian/changelog ===
sphinx-argparse (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version and location.
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)
  * Removed old, unneeded patches.
  * Apply patch from upstream to fix tests on Python3.10.
    Closes: #1001487, #1002315

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jan 2022 17:39:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,13 @@
                dh-python,
                python3-all,
                python3-pytest,
-               python3-setuptools,
+               pybuild-plugin-pyproject,
+               python3-poetry-core,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.5.1
-Homepage: https://github.com/ribozz/sphinx-argparse
+               python3-commonmark
+Standards-Version: 4.6.0
+Homepage: https://github.com/ashb/sphinx-argparse
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-argparse.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-argparse

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/sphinx-argparse-$1.tar.gz/" \
https://github.com/ashb/sphinx-argparse/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## sphinx-argparse 0.3.2

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,10 @@
 	poetry build
 
 test:  ## Test the project
-	poetry run pytest --verbosity=2 --strict --log-level=DEBUG $(args)
+	poetry run pytest --verbosity=2 --log-level=DEBUG $(args)
 
 lint:  ## Check code for style
-	poetry run flake8 --statistics --show-source $(CODE) test/
-	poetry run black --diff --check $(CODE) test/
+	pre-commit run
 	poetry run pytest --dead-fixtures --dup-fixtures
 
 pretty: ## Prettify the code
@@ -27,8 +26,7 @@
 	poetry run black $(CODE) test/
 
 precommit_install: ## Install simple pre-commit checks
-	echo -e '#!/bin/sh\nmake lint test\n' > .git/hooks/pre-commit
-	chmod +x .git/hooks/pre-commit
+	pre-commit install
 
 bump_major: ## Release a new major version
 	poetry version major

=== debian/changelog ===
sphinx-argparse (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * d/watch: fixed
  * drop Python 3.10 patch, it is no longer needed.
  * Standards-Version: 4.6.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Nov 2022 11:44:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-commonmark
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ashb/sphinx-argparse
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-argparse.git

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=sphinx-argparse
export PYBUILD_TEST_ARGS=-vv

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	cd docs && PYTHONPATH=$(CURDIR)/debian/python3-sphinx-argparse/usr/lib/$(shell py3versions -d)/dist-packages/ python3 -m sphinx -N -bhtml . html
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs README.md

override_dh_compress:
	dh_compress -Xchangelog.html

=== debian/tests/control ===
Tests: python3-sphinx-argparse
Depends: python3-all, python3-pytest, python3-sphinx, python3-sphinx-argparse

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
https://github.com/ashb/sphinx-argparse/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## sphinx-argparse 0.4.0

=== debian/changelog ===
sphinx-argparse (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #983875
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * use autopkgtest-pkg-pybuild instead of manual equivalent

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Mar 2024 14:24:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-pytest,
                pybuild-plugin-pyproject,
@@ -12,11 +12,12 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-commonmark
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ashb/sphinx-argparse
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-argparse.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-argparse
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-sphinx-argparse
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_TEST_ARGS=-vv
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_installdocs:
 	cd docs && PYTHONPATH=$(CURDIR)/debian/python3-sphinx-argparse/usr/lib/$(shell py3versions -d)/dist-packages/ python3 -m sphinx -N -bhtml . html

## sphinx-argparse 0.5.2

=== debian/changelog ===
sphinx-argparse (0.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Add missing build-dependency on flit.
  * d/control: new dependencies, furo instead of rtd-theme; lxml for testing
  * d/rules: drop override_dh_installchangelogs, README.md is no more,
    and README.rst does not include a changelog.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 14:16:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-lxml <!nocheck>,
                python3-pytest,
-               pybuild-plugin-pyproject,
                python3-poetry-core,
                python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-commonmark
+               furo <!nodoc>,
+               python3-commonmark,
+               flit
 Standards-Version: 4.6.2
 Homepage: https://github.com/ashb/sphinx-argparse
 Rules-Requires-Root: no

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=sphinx-argparse
export PYBUILD_TEST_ARGS=-vv

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_installdocs:
	cd docs && PYTHONPATH=$(CURDIR)/debian/python3-sphinx-argparse/usr/lib/$(shell py3versions -d)/dist-packages/ python3 -m sphinx -N -bhtml . html

override_dh_compress:
	dh_compress -Xchangelog.html
